Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.query.plan.logical
Class Operator

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.Operator

public final class Operator
extends LogicalQueryNode

Operator

Field Summary
`static Operator` | `EQ`
`static Operator` | `GT`
`static Operator` | `GTE`
`static Operator` | `IN`
`static Operator` | `LT`
`static Operator` | `LTE`
`static Operator` | `NEQ`
`static Operator` | `NIN`
`static Operator` | `NSW`
`static Operator` | `SW`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EQ

    public static final Operator EQ

### GT

    public static final Operator GT

### GTE

    public static final Operator GTE

### IN

    public static final Operator IN

### LT

    public static final Operator LT

### LTE

    public static final Operator LTE

### NEQ

    public static final Operator NEQ

### NIN

    public static final Operator NIN

### NSW

    public static final Operator NSW

### SW

    public static final Operator SW

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group